View Issue Details

IDProjectCategoryView StatusLast Update
07669Development [All Projects] Survey designpublic2013-03-18 17:27
ReporterDenisChenuAssigned Tosammousa 
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.1 
Target VersionFixed in Version2.1 
Summary07669: Unable to access to admin
Description

When trying to access to /admin, redirected to /index.php?r=admin and:
No direct script access allowed

Steps To Reproduce

Go to uorlsinstallation/admin/

Additional Information

Tested with:
'urlFormat' => 'get',
and
'urlFormat' => 'path',

Same think

TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2013-03-16 13:15

developer   ~24705

Removing security in config.php throw
Alias "application.libraries.limesurvey_lang" is invalid. Make sure it points to an existing PHP file and the file is readable.

c_schmitz

c_schmitz

2013-03-17 17:44

administrator   ~24732

I cannot reproduce this here, btw.

sammousa

sammousa

2013-03-18 08:17

reporter   ~24739

For 2.1 I'm removing the constants BASEPATH and APPPATH since we shouldnt be using these anywhere.

Instead I'm checking for existence of Yii.

DenisChenu

DenisChenu

2013-03-18 08:50

developer   ~24743

Linux issue.

search for application/library/limesurvey_lang and have application/library/Limesurvey_lang

DenisChenu

DenisChenu

2013-03-18 08:52

developer   ~24745

Another issue :
The header location in admin/index.php don't take config parameter.
Always go to ../index.php?r=admin

With url to path : show survey listing.

DenisChenu

DenisChenu

2013-03-18 17:27

developer   ~24763

Can't reproduce now.

Issue History

Date Modified Username Field Change
2013-03-16 13:04 DenisChenu New Issue
2013-03-16 13:15 DenisChenu Note Added: 24705
2013-03-16 13:16 c_schmitz Project Bug reports => Development
2013-03-17 15:51 c_schmitz Assigned To => sammousa
2013-03-17 15:51 c_schmitz Status new => assigned
2013-03-17 17:44 c_schmitz Note Added: 24732
2013-03-18 08:17 sammousa Note Added: 24739
2013-03-18 08:50 DenisChenu Note Added: 24743
2013-03-18 08:52 DenisChenu Note Added: 24745
2013-03-18 17:27 DenisChenu Note Added: 24763
2013-03-18 17:27 DenisChenu Status assigned => closed
2013-03-18 17:27 DenisChenu Resolution open => fixed
2013-03-18 17:27 DenisChenu Fixed in Version => 2.1